Subject: bug#58591: Java packages do not appear to keep a reference to their inputs

From: Maxim Cournoyer <[email-masked]>
Date: Mon, 17 Oct 2022 22:45:54 -0400

Hi Julien,

Julien Lepiller <[email-masked]> writes:

> You're right, java package don't retain references to there input,
> that's why we propagate required dependencies (mh… sometimes). I don't
> know how they could reference dependencies directly.

Could we, along with installing Java classes as directories instead of
.jar archive files [0] at a more specific prefix, define a search path
specification that'd set CLASSPATH?  Currently I don't see anything
setting CLASSPATH outside of the build systems, so even if we propagate
Java things, I don't see how it'd find them in a profile.

[0]  Not exactly sure how that's done yet, but it's mentioned here: https://docs.oracle.com/javase/8/docs/technotes/tools/windows/classpath.html

--
Thanks,
Maxim